Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Thu, 07 Apr 2022 15:53:54 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect What is wrong with your customer service?
I write to you, I call you many times for over a month & finally Last night I get a message to go collect the bag & when about to go collect I receive another message telling me that my order is being canceled!
What is this, what kind of a scam are you running here !!!!!
Order # 6128835454 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4131532